Bug 704236 - segfault of alt-ergo.opt during build
segfault of alt-ergo.opt during build
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alt-ergo (Show other bugs)
15
powerpc Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alan Dunn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-12 10:06 EDT by Karsten Hopp
Modified: 2012-08-07 10:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 10:48:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2011-05-12 10:06:02 EDT
Description of problem:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=215829 failed with a segmentation fault.
I've disabled stripping of alt-ergo.opt to get a gdb trace:

Core was generated by `./alt-ergo.opt -arrays swap0_why.why '.
Program terminated with signal 11, Segmentation fault.
#0  0x000000001012eba4 in .bng_generic_mult_add_digit ()
(gdb) bt
#0  0x000000001012eba4 in .bng_generic_mult_add_digit ()
#1  0x000000001012edf4 in .bng_generic_mult_add ()
#2  0x000000001012e07c in .mult_nat_native ()
#3  0x0000000010147e68 in .caml_c_call ()
#4  0x00000000100e27e4 in .camlBig_int__mult_big_int_1111 ()
#5  0x000000001006194c in .camlPolynome__ppmc_bi_1276 ()
#6  0x0000000010060254 in .camlPolynome__fun_1470 ()
#7  0x00000000100060f0 in .caml_apply3 ()
#8  0x0000000010105d40 in .camlMap__fold_1196 ()
#9  0x00000000100619f8 in .camlPolynome__ppmc_denominators_1279 ()
#10 0x0000000010061b5c in .camlPolynome__normal_form_1291 ()
#11 0x000000001004ce10 in .camlFm__add_equality_1884 ()
#12 0x0000000010048c64 in .camlFm__fun_2871 ()
#13 0x00000000100061b4 in .caml_apply2 ()
#14 0x00000000100f9394 in .camlList__fold_left_1078 ()
#15 0x000000001004dc9c in .camlFm__assume_1940 ()
#16 0x000000001002c4a4 in .camlCombine__assume_1874 ()
#17 0x00000000100061b4 in .caml_apply2 ()
#18 0x0000000010027768 in .camlCc__replay_atom_r_1644 ()
#19 0x0000000010027968 in .camlCc__replay_atom_1643 ()
#20 0x00000000100257d0 in .camlCc__fun_2150 ()
#21 0x00000000100061b4 in .caml_apply2 ()
#22 0x00000000100f9394 in .camlList__fold_left_1078 ()
#23 0x0000000010027b18 in .camlCc__close_up_r_1641 ()
#24 0x0000000010027c70 in .camlCc__close_up_1640 ()
#25 0x000000001002684c in .camlCc__assume_rec_1650 ()
#26 0x0000000010026780 in .camlCc__assume_1651 ()
#27 0x00000000100282e0 in .camlCc__assume_1838 ()
#28 0x0000000010009c74 in .camlSat__assume_1404 ()
#29 0x000000001000ad3c in .camlSat__assume_1496 ()
#30 0x0000000010006ecc in .camlFrontend__process_decl_1450 ()
#31 0x0000000010005814 in .caml_curry3_2 ()
#32 0x000000001000620c in .caml_apply2 ()
#33 0x000000001010787c in .camlQueue__fold_1087 ()
#34 0x0000000010107ef8 in .camlQueue__fold_1082 ()
#35 0x0000000010006ad0 in .camlFrontend__fun_1527 ()
#36 0x00000000100f9325 in .camlList__iter_1074 ()
#37 0x00000000100058bd in .caml_curry2_1 ()
#38 0x00000000100f9325 in .camlList__iter_1074 ()
#39 0x0000000010007685 in .camlFrontend__processing_1483 ()
---Type <return> to continue, or q <return> to quit---
#40 0x00000000100068e5 in .camlMain__main_1179 ()
#41 0x000000001000698d in .camlMain__entry ()
#42 0x00000000100047e5 in caml_startup__code_begin ()
#43 0x0000000010147fed in .caml_start_program ()
#44 0x000000001012fcbc in .caml_main ()
#45 0x00000000100030bc in .main ()

Version-Release number of selected component (if applicable):
alt-ergo-0.92.1-2.fc15
Comment 1 Jerry James 2011-05-13 00:02:50 EDT
The alt-ergo 0.93 release notes mention "bug fixes" without saying what kind of fixes.  Given the backtrace, I expect this to turn out to be an ocaml bug (or a gcc bug that affects the ocaml binaries), but just in case, can you try alt-ergo-0.93.1-fc15 when it hits the updates-testing repository?
Comment 2 Fedora End Of Life 2012-08-07 10:48:46 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.